# Generated by Django 3.2.2 on 2021-09-03 14:10

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0006_add_domain'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('tickets', '0033_alter_typifymodel_category'),
    ]

    operations = [
        migrations.AlterField(
            model_name='typifymodel',
            name='category',
            field=models.ManyToManyField(related_name='categories', to='tickets.CategoryModel'),
        ),
        migrations.CreateModel(
            name='TicketCommunicationModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('commentary', models.TextField(blank=True, null=True)),
                ('channel', models.CharField(choices=[(0, 'CORREO'), (1, 'LLAMADA'), (2, 'CHAT'), (3, 'REDES'), (4, 'WHATSAPP'), (5, 'FACEBOOK'), (6, 'INSTAGRAM')], max_length=25)),
                ('type', models.PositiveIntegerField(choices=[(0, 'IN'), (1, 'OUT')], default=0)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_ticketcommunicationmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel')),
                ('typify', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tickets.typifymodel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_ticketcommunicationmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalTicketCommunicationModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('commentary', models.TextField(blank=True, null=True)),
                ('channel', models.CharField(choices=[(0, 'CORREO'), (1, 'LLAMADA'), (2, 'CHAT'), (3, 'REDES'), (4, 'WHATSAPP'), (5, 'FACEBOOK'), (6, 'INSTAGRAM')], max_length=25)),
                ('type', models.PositiveIntegerField(choices=[(0, 'IN'), (1, 'OUT')], default=0)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel')),
                ('typify', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.typifymodel')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical ticket communication model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
